You are not logged in.

Announcement

 Téléchargez la dernière version stable de GLPI      -     Et vous, que pouvez vous faire pour le projet GLPI ? :  Contribuer
 Download last stable version of GLPI                      -     What can you do for GLPI ? :  Contribute

#1 2018-02-01 16:59:21

fdebouys
Guest
Registered: 2016-06-22
Posts: 49

Centos 7 et GLPI 9.2.1 "Version non supportée (9.1.7.1)"

Bonjour,

J'ai installé GLPI 9.2.1 et restauré la base sql de ma version 9.1.6.

Quand je suis sur mon URL de connexion à GLPI, j'ai ce message d'erreur sous un tableau de tests effectués :
"
Votre version de la base de données n'est pas compatible avec la version des fichiers installés. Une mise à jour est nécessaire.
"
Donc je clic sur "mettre à jour".

Et là, j'ai cet écran :
"
GLPI SETUP

Mise à jour
Connexion à la base de données réussie
Traitement en cours...

Mise à jour en 9.2
Changement de la structure de la base de données - glpi_slas (1 seconde)

Api users tokens has been reset, if you use REST/XMLRPC api with personal token for authentication, please reset your user's token.

9.2 multiple alter in glpi_slas - Erreur durant l'éxecution de la requête : ALTER TABLE `glpi_slas` ADD INDEX `slms_id` (`slms_id`) - L'erreur est Key column 'slms_id' doesn't exist in table
"

Pouvez-vous m'indiquer les chemins des dossiers contenant les fichiers que je dois modifier ?

Je vous remercie beaucoup.

smile have a nice day wink

Last edited by fdebouys (2018-02-02 12:56:14)

Offline

#2 2018-02-01 17:37:18

fdebouys
Guest
Registered: 2016-06-22
Posts: 49

Re: Centos 7 et GLPI 9.2.1 "Version non supportée (9.1.7.1)"

a priori, il faudrait upgrader vers la 9.1.7 puis vers la 9.2.1.
Je teste demain et vous redis.

Offline

#3 2018-02-01 17:52:16

fdebouys
Guest
Registered: 2016-06-22
Posts: 49

Re: Centos 7 et GLPI 9.2.1 "Version non supportée (9.1.7.1)"

Bon alors, j'ai installé GLPI 9.1.7, importer ma base sql 9.1.6.
Sauvegarder la nouvelle base 9.1.7.
Installé (et non pas mis à jour à chaque fois) GLPI 9.2.1.
Importé ma base 9.1.7.

Et voilà le nouvel écran d'erreur :

"
GLPI SETUP

Mise à jour
Connexion à la base de données réussie
Traitement en cours...

Version non supportée (9.1.7.1)

Optimisation des tables
optimisation - Fin (1 seconde)

Envoyer "statistiques d'usage"
Nous avons besoin de vous pour améliorer GLPI et son écosystème de plugins !

Depuis GLPI 9.2, nous avons introduit une nouvelle fonctionnalité de statistiques appelée "Télémétrie", qui envoie anonymement, avec votre permission des données à notre site de télémétrie. Une fois envoyées, les statistiques d'usage sont agrégées et rendues disponibles à une large audience de développeurs GLPI.

Dites-nous comment vous utilisez GLPI pour que nous améliorons GLPI et ses plugins !

Voir ce qui pourrait-être envoyé
Référencez votre GLPI
De plus, si vous appréciez GLPI et sa communauté, merci de prendre une minute pour référencer votre organisme en remplissant le formulaire suivant.


"

Offline

#4 2018-02-01 17:53:03

fdebouys
Guest
Registered: 2016-06-22
Posts: 49

Re: Centos 7 et GLPI 9.2.1 "Version non supportée (9.1.7.1)"

ah non, en fait ce n'est pas une erreur bloquante big_smile

donc ça MARCHE !

Offline

#5 2018-02-01 17:54:47

fdebouys
Guest
Registered: 2016-06-22
Posts: 49

Re: Centos 7 et GLPI 9.2.1 "Version non supportée (9.1.7.1)"

Bon, j'ai quand même cici :
"
Le mode strict de SQL n'est pas complètement activé, valeur recommandée pour le développement : STRICT_TRANS_TABLES,ERROR_FOR_DIVISION_BY_ZERO,NO_ZERO_DATE,NO_ZERO_IN_DATE,ONLY_FULL_GROUP_BY,NO_AUTO_CREATE_USER
"

et AUCUN TICKET ..!

Offline

#6 2018-02-02 09:00:54

bzh
Guest
Registered: 2016-09-25
Posts: 387

Re: Centos 7 et GLPI 9.2.1 "Version non supportée (9.1.7.1)"

Salut,

Sans certitude, le pb de date peut venir du format des dates USA/UK avec leurs format mois/jour/année en lieu et place jour/mois/année ?!

a+


Virtual Box \ Debian 8 \ GLPI 9.4

Offline

#7 2018-02-02 12:33:24

fdebouys
Guest
Registered: 2016-06-22
Posts: 49

Re: Centos 7 et GLPI 9.2.1 "Version non supportée (9.1.7.1)"

Merci.
Cela vient d'un problème avec la base SQL.

Je n'ai plus aucun ticket (bon, j'ai toujours ma sauvegarde 9.1.7) ET je n'ai plus les droits pour accéder au "sla"...
Mais ce que je veux savoir c'est comment débloquer ma base de données.



Merci.

Last edited by fdebouys (2018-02-02 13:03:38)

Offline

Board footer

Powered by FluxBB